<?php

function initpro_kassa_settings_form() {

    $form = array();

    $form['commerce_initpro_kassa_api_url'] = array(
        '#type' => 'textfield',
        '#title' => 'URL API ИНИТПРО Касса',
        '#description' => 'Значение по умолчанию: <b>' . COMMERCE_initpro_KASSA_API_URL . '</b>',
        '#default_value' => variable_get('commerce_initpro_kassa_api_url', COMMERCE_initpro_KASSA_API_URL),
        '#required' => TRUE,
    );

    $form['commerce_initpro_kassa_shop_id'] = array(
        '#type' => 'textfield',
        '#title' => 'Идентификатор магазина',
        '#description' => 'Идентификатор вы найдете в личном кабинете ИНИТПРО Кассы: <a href="https://kassa.initpro.ru/manage/shops">Магазины</a>',
        '#default_value' => variable_get('commerce_initpro_kassa_shop_id', ''),
        '#required' => TRUE,
    );

    $form['commerce_initpro_kassa_secret_key'] = array(
        '#type' => 'textfield',
        '#title' => 'Секретный ключ магазина',
        '#description' => 'Ключ вы найдете в личном кабинете ИНИТПРО Кассы, в настройках выбранного магазина: <a href="https://kassa.initpro.ru/manage/shops">Магазины</a>',
        '#default_value' => variable_get('commerce_initpro_kassa_secret_key', ''),
        '#required' => TRUE,
    );

    $form['commerce_initpro_kassa_queue_id'] = array(
        '#type' => 'textfield',
        '#title' => 'Идентификатор очереди',
        '#default_value' => variable_get('commerce_initpro_kassa_queue_id', ''),
        '#required' => TRUE,
    );

    $form['commerce_initpro_kassa_should_print'] = array(
        '#type' => 'checkbox',
        '#title' => 'Печатать бумажный чек?',
        '#description' => 'Вы можете включить или выключить печать бумажного чека.',
        '#default_value' => variable_get('commerce_initpro_kassa_should_print', 1)
    );

    $form['commerce_initpro_kassa_tax_system'] = array(
        '#type' => 'select',
        '#title' => 'Система налогооблажения',
        '#options' => initpro_kassa_tax_systems(),
        '#default_value' => variable_get('commerce_initpro_kassa_tax_system', '1'),
        '#required' => TRUE,
    );
    
    return system_settings_form($form);
}